Bug 447757 - Review Request: mediawiki-ParserFunctions - Enhances the Mediawiki parser with logical functions
Review Request: mediawiki-ParserFunctions - Enhances the Mediawiki parser wit...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 12:28 EDT by Ian Weller
Modified: 2008-07-26 02:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.1-1.20080520svn35130.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-28 18:17:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-05-21 12:28:23 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/mediawiki-ParserFunctions/1.1.1-1.20080520svn35130/mediawiki-ParserFunctions.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/mediawiki-ParserFunctions/1.1.1-1.20080520svn35130/mediawiki-ParserFunctions-1.1.1-1.20080520svn35130.fc9.src.rpm
Description:
ParserFunctions extension enhances parser with logical functions. For
instructions on how to use it, please see
http://meta.wikimedia.org/wiki/Help:ParserFunctions.

This extension is being used on one or more of Wikimedia's wikis. It means that
the extension is stable and works well enough to be used by such high traffic
websites.
Comment 1 Nigel Jones 2008-06-10 09:05:47 EDT
Hi Ian

I'll take this review :)
Comment 2 Nigel Jones 2008-06-26 08:21:00 EDT
MUST:
Y: rpmlint on each package
Y: Meeting Package Naming Guidelines
Y: Spec file name matches base package name
Y: License field is valid
Y: Meets Packaging Guidelines
 Y: License included in package (if included in source)
 Y: Spec file written in en_US
 Y: Spec file is legible
 Y: Sources match upstream source
 Y: Source URL 'sane'
 Y: Compiles successfully - [noarch]
 -: ExcludeArch required?
 Y: All Build Dependencies Listed
 -: Handles locales sanely
 -: Library packages run ldconfig
 Y: Package is not relocatable
 Y: Package owns all directories created
 Y: No duplicate file listings
 Y: defattr set correctly
 Y: %clean is used
 Y: Macro use conisistant
 Y: Contains Code/Content that is allowed
 -: Large Documentation in -doc subpackage
 Y: %doc must not affect package runtime
 -: Header files in -devel
 -: Static libraries in -static
 -: pkgconfig files require pkgconfig
 -: Library files are located in correct package
 -: -devel requires base package w/ fully versioned dependency
 Y: Packages do not contact .la (libtool) archives
 -: GUI Apps have .desktop files
 Y: No duplicate directory ownerships
 Y: %install cleans buildroot
 Y: Filenames are valid UTF-8

SHOULD:
-: Description/Summary sections contain translations
-: Builds in mock/koji
Y: Builds on all architectures
Y: Program works upon testing
-: Scriptlets are sane
-: Subpackages require base package
-: pkgconfig.pc files in -devel
-: File dependencies should only be in /etc /bin /sbin /usr/bin /usr/sbin

APPROVED

Sorry it took so long, it kind of hit the back burner.
Comment 3 Ian Weller 2008-06-26 13:57:06 EDT
thanks.

New Package CVS Request
=======================
Package Name: mediawiki-ParserFunctions
Short Description: Enhances the MediaWiki parser with logical functions
Owners: ianweller
Branches: F-8 F-9 EL-4 EL-5
InitialCC:
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-06-27 12:56:31 EDT
cvs done.
Comment 5 Fedora Update System 2008-06-27 15:53:28 EDT
mediawiki-ParserFunctions-1.1.1-1.20080520svn35130.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-06-28 18:15:27 EDT
mediawiki-ParserFunctions-1.1.1-1.20080520svn35130.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-06-28 18:17:18 EDT
mediawiki-ParserFunctions-1.1.1-1.20080520svn35130.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-07-26 02:08:58 EDT
mediawiki-ParserFunctions-1.1.1-1.20080520svn35130.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.